.text

.globl _idt,_gdt,
.globl swapper_pg_dir

#define USER_CS         0x23
#define USER_DS         0x2B
#define NR_TASKS    128

#define CL_MAGIC_ADDR   0x90020
#define CL_MAGIC    0xA33F
#define CL_BASE_ADDR    0x90000
#define CL_OFFSET   0x90022

#define SYMBOL_NAME(X) X
#define SYMBOL_NAME_LABEL(X) X:

#define __ALIGN .align 4,0x90

#define ALIGN __ALIGN

#define ENTRY(name) \
	.globl SYMBOL_NAME(name); \
	ALIGN; \
	SYMBOL_NAME_LABEL(name)

#define _stack_start    stack_start
#define _x86        x86
#define _hard_math  hard_math

ENTRY(stext)
ENTRY(_stext)

startup_32:
	cld
	movl    $0x10,%eax
	mov     %ax,%ds
	mov     %ax,%es
    mov     %ax,%fs
    mov     %ax,%gs

.align  2
    incb    0xb8000+160
    movw    $2, 0xb8000+161

    movw    $0x649, 0xb8000+480
    movw    $0x142, 0xb8000+640
    movw    $0x14C, 0xb8000+642
    movw    $0x155, 0xb8000+644

    call    start_kernel

d:
    jmp d
